Module javafx.media
Package javafx.scene.media

## Class VideoTrack

- java.lang.Object
- - javafx.scene.media.Track
  - - javafx.scene.media.VideoTrack

-     public final class VideoTrack
      extends Track

  A `Track` that describes a video track. This will usually be the unique visual track in an audiovisual media resource.
  Since:
    JavaFX 2.0

- - ### Method Summary

    Modifier and Type | Method | Description
    --- | --- | ---
    `int` | `getHeight()` | Retrieves the height of the track.
    `int` | `getWidth()` | Retrieves the width of the track.

    - ### Methods inherited from class javafx.scene.media.Track

      `getLocale, getMetadata, getName, getTrackID, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Method Detail

    - #### getWidth

          public final int getWidth()

      Retrieves the width of the track.
      Returns:
        the track width.

    - #### getHeight

          public final int getHeight()

      Retrieves the height of the track.
      Returns:
        the track height.